For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
      • Tax Provider
      • Webhooks
          • GETList Webhooks
          • POSTCreate Webhook
          • GETGet Webhook
          • PUTUpdate Webhook
          • DELDelete Webhook
          • GETGet Admin Info
          • PUTUpsert Email Notifications
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsWebhooks

Get Admin Info

GET
https://api.bigcommerce.com/stores/:store_hash/v3/hooks/admin
GET
/stores/:store_hash/v3/hooks/admin
$curl https://api.bigcommerce.com/stores/store_hash/v3/hooks/admin \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "emails": [
4 "notifications@bigcommerce-store.com"
5 ],
6 "hooks_list": [
7 {
8 "id": 1024,
9 "client_id": "bc_app_7f3a9d2c",
10 "store_hash": "abc123xyz",
11 "scope": "store/order/created",
12 "destination": "https://webhooks.myapp.com/order-created",
13 "headers": {
14 "X-Webhook-Token": "securetoken123"
15 },
16 "is_active": true,
17 "created_at": 1688000000,
18 "updated_at": 1688600000,
19 "status": "active"
20 }
21 ],
22 "blocked_domains": [
23 {
24 "destination": "https://untrusted-domain.com/webhook",
25 "time_left": 86400,
26 "reasons": [
27 {
28 "failure_description": "Failed to respond with HTTP 200 for 5 consecutive attempts",
29 "count": 5,
30 "timestamp": 1687500000
31 }
32 ]
33 }
34 ]
35 },
36 "meta": {
37 "pagination": {
38 "total": 1,
39 "count": 1,
40 "per_page": 10,
41 "current_page": 1,
42 "total_pages": 1,
43 "links": {
44 "previous": null,
45 "current": "https://api.bigcommerce.com/stores/abc123xyz/v3/hooks/admin?is_active=true&page=1",
46 "next": null
47 }
48 }
49 }
50}
List all notification emails, webhooks, and denylisted domains associated with the API account.
Was this page helpful?
Previous

Delete Webhook

Next

Upsert Email Notifications

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

None required. Create and manage webhooks with the default scope of an API account.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

is_activebooleanOptional
Enables user to filter for webhooks that are active or not. A webhook subscription becomes deactivated after 90 days of inactivity.

Response

Successful operation.
dataobject
metaobject

Errors

401
Unauthorized Error